-- ============================================================
--
--   The game's states definitions, with game states
--
-- ============================================================


-- ============================================================
-- Define the class object as local.
-- ============================================================
--
local clsGame = class("clsGame",StatefulObject)
--
-- ============================================================


-- ============================================================
-- Main game variables.
-- ============================================================
--
clsGame.status = {
	elapsedTime        = 0,
	spawnTimer         = 0,
	fireTimer          = 0,
	oreMined           = 0,
	runScore           = 0,
	gameScore          = 0,
	highScore          = 0,
	exitHit            = false,
	asteroidsDestroyed = 0
}
clsGame.options = {}
clsGame.options.fullScreen = false
clsGame.options.screenWidth, clsGame.options.screenHeight = love.graphics.getDimensions()
clsGame.currentShip = 1
--
-- ============================================================



-- ============================================================
-- Dummy mandatory functions overriding LÖVE callbacks
--   Will in turn be overriden by the game states functions
-- ============================================================
--
function clsGame:update()
end

function clsGame:draw()
end

function clsGame:keypressed(key)
end

function clsGame:keyreleased(key)
end

function clsGame:mousepressed(x,y,button )
end

function clsGame:mousereleased(x,y,button )
end
--
-- ============================================================


-- ============================================================
-- Preload assets definitions, including graphics
-- ============================================================
--
clsGame.loadShipsDefinitions       = require( "src/clsGame/preloadMethods/loadShipsDefinitions" )
clsGame.loadAsteroidsDefinitions   = require( "src/clsGame/preloadMethods/loadAsteroidsDefinitions" )
clsGame.loadAnimationsDefinitions  = require( "src/clsGame/preloadMethods/loadAnimationsDefinitions" )
clsGame.loadProjectilesDefinitions = require( "src/clsGame/preloadMethods/loadProjectilesDefinitions" )
clsGame.loadBeamsDefinitions       = require( "src/clsGame/preloadMethods/loadBeamsDefinitions" )
--
-- ============================================================


-- ============================================================
--   Return the class object, it'll then be returned
--   by the require statement
-- ============================================================
--
return clsGame
--
-- ============================================================
