-- ============================================================
--
--   Load ships definitions
--
-- ============================================================


-- ============================================================
-- Load animations definitions
-- ============================================================
--
local function loadAnimationsDefinitions(self)
	-- Init available Animations table
	self.tabAnimationData = {}
	local tabAnimationData = self.tabAnimationData

	-- Debug
	print("Loading Animations definitions")

	-- Get Animation definition files from data folder
	local tabAnimationFilesList = love.filesystem.getDirectoryItems( strAnimationImagesDir )
	for k, strFileName in ipairs(tabAnimationFilesList) do
		local strAnimationName    = string.sub(strFileName,1,-5)
		local strAnimationFileExt = string.sub(strFileName,-4)
		if strAnimationFileExt == ".png" then
			-- Load Animation
			local strFileName = strAnimationImagesDir .. "/" .. strFileName

			-- Check if image fome exists
			if love.filesystem.isFile(strFileName) then
				tabAnimationData[#tabAnimationData+1] = {
					name     = strAnimationName,
					fileName = strFileName,
					sprite = love.graphics.newImage(strFileName),
					nX = 6,
					nY = 5
				}
			else
				print ( "\t>>> ERROR  on Animation \"" .. strAnimationName .. "\" : image file \"" .. strFileName .. "\" does not exist" )
				print ( "\t>>> Animation LOADING ABORTED" )
			end
		end
	end

	print ( "Successfully loaded " .. #tabAnimationData .. " Animations\r\n" )
end
--
-- ============================================================


-- ============================================================
--   Return the function
-- ============================================================
--
return loadAnimationsDefinitions
--
-- ============================================================
