-- ============================================================
--
--   Load ships definitions
--
-- ============================================================


-- ============================================================
-- Load asteroids definitions
-- ============================================================
--
local function loadAsteroidsDefinitions(self)
	-- Init available Asteroids table
	self.tabAsteroidData = {}
	local tabAsteroidData = self.tabAsteroidData

	-- Debug
	print("Loading asteroids definitions")

	-- Get Asteroid definition files from data folder
	local tabAsteroidFilesList = love.filesystem.getDirectoryItems( strAsteroidImagesDir )
	for k, strFileName in ipairs(tabAsteroidFilesList) do
		local strAsteroidName    = string.sub(strFileName,1,-5)
		local strAsteroidFileExt = string.sub(strFileName,-4)
		if strAsteroidFileExt == ".png" then
			-- Load Asteroid
			local strFileName = strAsteroidImagesDir .. "/" .. strFileName

			-- Check if image fome exists
			if love.filesystem.isFile(strFileName) then
				tabAsteroidData[#tabAsteroidData+1] = {
					name     = strAsteroidName,
					fileName = strFileName,
					sprite = love.graphics.newImage(strFileName),
					nX = 1,
					nY = 1
				}
			else
				print ( "\t>>> ERROR  on Asteroid \"" .. strAsteroidName .. "\" : image file \"" .. strFileName .. "\" does not exist" )
				print ( "\t>>> Asteroid LOADING ABORTED" )
			end
		end
	end

	print ( "Successfully loaded " .. #tabAsteroidData .. " Asteroids\r\n" )
end
--
-- ============================================================


-- ============================================================
--   Return the function
-- ============================================================
--
return loadAsteroidsDefinitions
--
-- ============================================================
