-- ============================================================
--
--   Load beams definitions
--
-- ============================================================


-- ============================================================
-- Load beams definitions
-- ============================================================
--
local function loadBeamsDefinitions(self)
	-- Init available Beams table
	self.tabBeamsData = {}
	local tabBeamsData = self.tabBeamsData

	-- Debug
	print("Loading beams definitions")

	-- Get Beam definition files from data folder
	local tabBeamFilesList = love.filesystem.getDirectoryItems( strBeamImagesDir )
	for k, strFileName in ipairs(tabBeamFilesList) do
		local strBeamName    = string.sub(strFileName,1,-5)
		local strBeamFileExt = string.sub(strFileName,-4)
		if strBeamFileExt == ".png" then
			-- Load Beam
			local strFileName = strBeamImagesDir .. "/" .. strFileName

			-- Check if image file exists
			if love.filesystem.isFile(strFileName) then
				tabBeamsData[#tabBeamsData+1] = {
					name     = strBeamName,
					fileName = strFileName,
					sprite = love.graphics.newImage(strFileName),
					nX = 1,
					nY = 1
				}
			else
				print ( "\t>>> ERROR  on Beam \"" .. strBeamName .. "\" : image file \"" .. strFileName .. "\" does not exist" )
				print ( "\t>>> Beam LOADING ABORTED" )
			end
		end
	end

	print ( "Successfully loaded " .. #tabBeamsData .. " beams\r\n" )
end
--
-- ============================================================


-- ============================================================
--   Return the function
-- ============================================================
--
return loadBeamsDefinitions
--
-- ============================================================
