-- ============================================================
--
--   Load projectiles definitions
--
-- ============================================================


-- ============================================================
-- Load projectiles definitions
-- ============================================================
--
local function loadProjectilesDefinitions(self)
	-- Init available Projectiles table
	self.tabProjectilesData = {}
	local tabProjectilesData = self.tabProjectilesData

	-- Debug
	print("Loading projectiles definitions")

	-- Get projectile definition files from data folder
	local tabProjectileFilesList = love.filesystem.getDirectoryItems( strProjectileImagesDir )
	for k, strFileName in ipairs(tabProjectileFilesList) do
		local strProjectileName    = string.sub(strFileName,1,-5)
		local strProjectileFileExt = string.sub(strFileName,-4)
		if strProjectileFileExt == ".png" then
			-- Load Projectile
			local strFileName = strProjectileImagesDir .. "/" .. strFileName

			-- Check if image fome exists
			if love.filesystem.isFile(strFileName) then
				tabProjectilesData[#tabProjectilesData+1] = {
					name     = strProjectileName,
					fileName = strFileName,
					sprite = love.graphics.newImage(strFileName),
					nX = 6,
					nY = 6
				}
			else
				print ( "\t>>> ERROR  on Projectile \"" .. strProjectileName .. "\" : image file \"" .. strFileName .. "\" does not exist" )
				print ( "\t>>> Projectile LOADING ABORTED" )
			end
		end
	end

	print ( "Successfully loaded " .. #tabProjectilesData .. " Projectiles\r\n" )
end
--
-- ============================================================


-- ============================================================
--   Return the function
-- ============================================================
--
return loadProjectilesDefinitions
--
-- ============================================================
