-- ============================================================
--
--   The game's "Menu" state
--
-- ============================================================


-- ============================================================
-- Define the state and its variables
--   Here will be the actual gameflow
-- ============================================================
--
-- Create the state
local stateCredits = clsGame:addState("Credits")

-- Set the layout and style for displaying the menu
local layoutCredits = Layout( require("src/clsGame/stateCredits/layoutCredits") )
layoutCredits:setStyle( require("src/gui/styleDefault") )

-- Set an action for each Menu button
layoutCredits.btnLicence:onPress(
	function()
		local strReadText = love.filesystem.read("zlib-license.txt")
		layoutCredits.txtText.text = strReadText
	end
)
layoutCredits.btnCredits:onPress(
	function()
		local strReadText = love.filesystem.read("doc/credits.txt")
		layoutCredits.txtText.text = strReadText
	end
)
layoutCredits.btnReleases:onPress(
	function()
		local strReadText = love.filesystem.read("doc/releases.txt")
		layoutCredits.txtText.text = strReadText
	end
)
layoutCredits.btnGameplay:onPress(
	function()
		local strReadText = love.filesystem.read("doc/gameplay.txt")
		layoutCredits.txtText.text = strReadText
	end
)
layoutCredits.btnExit:onPress(
	function()
		objGame:gotoState("Menu")
	end
)
--
-- ============================================================


-- ============================================================
-- Called when entering the state
-- ============================================================
--
function stateCredits:enterState()
	love.mouse.setVisible(true)
	layoutCredits:show()
end
--
-- ============================================================


-- ============================================================
-- Called when exiting the state to enter another state
-- ============================================================
--
function stateCredits:exitState()
	love.mouse.setVisible(false)
	layoutCredits:hide()
end
--
-- ============================================================
